% Ex 5-12
% Generation of Poisson RP
%
clear
%
lambda = 3.5;                   % arbitrary value for lambda
t_int(1,:)=[0 2.4];             % create the 1st time interval
t_int(2,:)=[2.4 5.0];           % create the 2nd time interval
t_int(3,:)=[5.0 6.5];           % create the 3rd time interval
t_int(4,:)=[6.5 10];            % create the 4th time interval
%
for i=1:4,
    t=t_int(i,2)-0;
    k_max=ceil(1.5*ceil(2*lambda*t));
    %
    % initialize the parameters of Poisson RP
    b=lambda*t;
    Tmp_p_X=0;
    Tmp_k=0;
    p_X=[];
    %
    for k=0:k_max,          % search for k of max. prob.
        p_X=(b^k * exp(-b))/factorial(k);
        if Tmp_p_X<p_X,
           Tmp_p_X=p_X;
           Tmp_k=k;
        end;
    end; % end k-loop
    X(i)=Tmp_k;
end; % end i-loop
%
stairs([0;t_int(:,1);10],[0 X X(4)]);   % plot sample function 
grid;
xlabel('t[sec]');
ylabel('Number of events');

