% Fig 6-1
% Example of WSS RP : sine wave with the Theta of uniform distributed RV  
% Theta : uniform distributed in (0,2pi)
%
%
ITR=50;
PI=3.141592;
A = 1;             % amplitude of sine wave
%
f=5;              % frequency
N=0:1000;          % the number of samples
Omega=2*PI*f;      % angle velocity
%
t=N ./ 2000;
%
for i=1:ITR,
    Theta(i) = 0.5*pi*rand;
    sine_value(i,:) = A*sin(t .* Omega + Theta(i));
end;
%
for i=1:ITR,
    plot(t,sine_value(i,:),'-b');
    grid;
    xlabel('t[sec]');
    ylabel('Amplitude[V]');
    axis([0 0.5 -2.5 2.5]);
    hold on;
end;
plot(t,((2/PI) .* (cos(Omega .* t) + sin(Omega .* t))),'-r');
grid;
hold off;